BOGGLE(6) | Games Manual | BOGGLE(6)

# NAME

`boggle` —
word search game

# SYNOPSIS

`boggle` | [`-bd`] [`-s` seed] [`-t` time] [`-w` length] [+ [+]] [boardspec]

# DESCRIPTION

The object of `boggle` is to find as many words as possible on the Boggle board within the three minute time limit. A Boggle board is a four by four arrangement of Boggle cubes, each side of each cube displaying a letter of the alphabet or `qu'. Words are formed by finding a sequence of cubes (letters) that are in the game's dictionary. The (N+1)th cube in the word must be horizontally, vertically, or diagonally adjacent to the Nth cube. Cubes cannot be reused. Words consist solely of lower case letters and must be at least 3 letters long.

Command line flags can be given to change the rules of the game.

`-b`
  Run `boggle` in batch mode. A boardspec must also be given. The dictionary is read from stdin and a list of words appearing in boardspec is printed to stdout.
`-d`
  Enable debugging output.
`-s` seed
  Specify a seed seed other than the time of day.
`-t` time
  Set the time limit for each game from the default 3 minutes to time seconds.
`-w` length
  Change the minimum word length from 3 letters to length.
+
  This flag allows a cube to be used multiple times, but not in succession.
++
  This flag allows the same cubes to be considered adjacent to itself.
boardspec
  A starting board position can be specified on the command line by listing the board left to right and top to bottom.

Help is available during play by typing ‘`?`’. More detailed information on the game is given there.

# AUTHORS

Boggle is a trademark of Parker Brothers.

Barry Brachman

Dept. of Computer Science

University of British Columbia

# BUGS

If there are a great many words in the cube the final display of the words may scroll off of the screen. (On a 25 line screen about 130 words can be displayed.)

No word can contain a ‘q’ that is not immediately followed by a ‘u’.

When using the + or ++ options the display of words found in the board doesn't indicate reused cubes.

The dictionary that NetBSD installs omits many words that belong in the English language, most notably inflected forms.

September 23, 2006 | NetBSD 9.2